debug: False
overwrite: False

# goal_filenames: ['tsf', 'two_tsf', 'three_step', 'tstsf']
# eval_filenames: ['tshirt_start', 'tsf']
# eval_combos: [
#     ['tshirt_start', 'tsf'],
#     ['tshirt_start', 'two_tsf'],
#     ['tshirt_start', 'three_step'],
#     ['tshirt_start', 'partial_horz_1'],
#     ['tshirt_start', 'tstsf'],
#     ['tshirt_start', 'partial_vert_1'],
#     ['tshirt_start', 'partial_vert_2'],
#     ['tshirt_start', 'partial_diag_0'],
#     ['tshirt_start', 'partial_diag_1'],
#     ['tshirt_start', 'partial_diag_2'],
#     ['tsf', 'tstsf'],
#     ['tsf', 'partial_horz_1'],
#     ['partial_horz_1', 'tstsf'],
#     ['partial_vert_1', 'partial_vert_2'],
#     ['partial_diag_0', 'partial_diag_1'],
#     ['partial_diag_0', 'partial_diag_2'],
#     ['partial_diag_1', 'partial_diag_2'],
#     ['tsf', 'tshirt_start'],
#     ['two_tsf', 'tshirt_start'],
#     ['three_step', 'tshirt_start'],
#     ['partial_horz_1', 'tshirt_start'],
#     ['tstsf', 'tshirt_start'],
#     ['partial_vert_1', 'tshirt_start'],
#     ['partial_vert_2', 'tshirt_start'],
#     ['partial_diag_0', 'tshirt_start'],
#     ['partial_diag_1', 'tshirt_start'],
#     ['partial_diag_2', 'tshirt_start']
# ]

# debug
eval_combos: [
    [
        ['open_2side_high', 'ms_opp_corn_in_0'],
        ['ms_opp_corn_in_0', 'ms_opp_corn_in_1'],
    ],
    [
        ['open_2side_high', 'ms_all_corn_in_0'],
        ['ms_all_corn_in_0', 'ms_all_corn_in_1'],
        ['ms_all_corn_in_1', 'ms_all_corn_in_2'],
        ['ms_all_corn_in_2', 'ms_all_corn_in_3'],
    ],
    [
        ['open_2side_high', 'ms_double_rect_0'],
        ['ms_double_rect_0', 'ms_double_rect_1'],
    ],
    [
        ['open_2side_high', 'ms_double_tri_0'],
        ['ms_double_tri_0', 'ms_double_tri_1'],
    ],
    [
        ['open_2side_high', 'ms_two_side_horz_0'],
        ['ms_two_side_horz_0', 'ms_two_side_horz_1'],
    ],
    [
        ['open_2side_high', 'ms_two_side_vert_0'],
        ['ms_two_side_vert_0', 'ms_two_side_vert_1'],
    ],
    ['open_2side_high', 'test_goal_0'],
    ['open_2side_high', 'test_goal_1'],        
    ['open_2side_high', 'test_goal_2'],
    ['open_2side_high', 'test_goal_3'],
    ['open_2side_high', 'test_goal_4'],
    ['open_2side_high', 'test_goal_5'],
    ['open_2side_high', 'test_goal_6'],
    ['open_2side_high', 'test_goal_7'],
    ['open_2side_high', 'test_goal_8'],
    ['open_2side_high', 'test_goal_9'],
    ['open_2side_high', 'test_goal_10'],
    ['open_2side_high', 'test_goal_11'],
    ['open_2side_high', 'test_goal_12'],
    ['open_2side_high', 'test_goal_13'],
    ['open_2side_high', 'test_goal_14'],
    ['open_2side_high', 'test_goal_15'],
    ['open_2side_high', 'test_goal_16'],
    ['open_2side_high', 'test_goal_17'],
    ['open_2side_high', 'test_goal_18'],
    ['open_2side_high', 'test_goal_19'],
    ['open_2side_high', 'test_goal_20'],
    ['open_2side_high', 'test_goal_21'],
    ['open_2side_high', 'test_goal_22'],
    ['open_2side_high', 'test_goal_23'],
    ['open_2side_high', 'test_goal_24'],
    ['open_2side_high', 'test_goal_25'],
    ['open_2side_high', 'test_goal_26'],
    ['open_2side_high', 'test_goal_27'],
    ['open_2side_high', 'test_goal_28'],
    ['open_2side_high', 'test_goal_29'],
    ['open_2side_high', 'test_goal_30'],
    ['open_2side_high', 'test_goal_31'],
    ['open_2side_high', 'test_goal_32'],
    ['open_2side_high', 'test_goal_33'],
    ['open_2side_high', 'test_goal_34'],
    ['open_2side_high', 'test_goal_35'],
    ['open_2side_high', 'test_goal_36'],
    ['open_2side_high', 'test_goal_37'],
    ['open_2side_high', 'test_goal_38'],
    ['open_2side_high', 'test_goal_39'],
    # ['open_2side', 'one_corner_in_2side'],
    # ['open_2side', 'opp_corners_in_2side'],
    # ['open_2side', 'all_corners_in_2side'],
    # ['open_2side', 'triangle_2side'],
    # ['open_2side', 'double_triangle'],
    # ['open_2side', 'double_straight'],
    # ['open_2side', 'horz_mid'],
    # ['open_2side', 'horz_full'],
    # ['open_2side', 'vert_mid'],
    # ['open_2side', 'vert_full'],
    # ['one_corner_in_2side', 'open_2side'],
    # ['opp_corners_in_2side', 'open_2side'],
    # ['triangle_2side', 'open_2side'],
    # ['all_corners_in_2side', 'open_2side'],
    # ['horz_mid', 'open_2side'],
    # ['horz_full', 'open_2side'],
    # ['vert_mid', 'open_2side'],
    # ['vert_full', 'open_2side'],
    # ['double_straight', 'open_2side'],
    # ['double_triangle', 'open_2side'],
]

# eval_combos: [
#     ['open_2side', 'all_corners_in_2side'],
#     ['open_2side', 'triangle_2side'],
#     ['open_2side', 'double_straight'],
#     ['open_2side', 'horz_mid'],
#     ['open_2side', 'horz_full'],
#     ['open_2side', 'vert_mid'],
#     ['open_2side', 'vert_full'],
#     ['triangle_2side', 'open_2side'],
#     ['all_corners_in_2side', 'open_2side'],
#     ['horz_mid', 'open_2side'],
#     ['horz_full', 'open_2side'],
#     ['vert_mid', 'open_2side'],
#     ['vert_full', 'open_2side'],
# ]

# eval_combos: [
#     ['open_2side', 'one_corner_in_2side'],
#     ['open_2side', 'opp_corners_in_2side'],
#     ['open_2side', 'all_corners_in_2side'],
#     ['open_2side', 'triangle_2side'],
#     ['open_2side', 'double_triangle'],
#     ['open_2side', 'double_straight'],
#     ['open_2side', 'horz_mid'],
#     ['open_2side', 'horz_full'],
#     ['open_2side', 'vert_mid'],
#     ['open_2side', 'vert_full'],
#     ['one_corner_in_2side', 'open_2side'],
#     ['opp_corners_in_2side', 'open_2side'],
#     ['triangle_2side', 'open_2side'],
#     ['all_corners_in_2side', 'open_2side'],
#     ['horz_mid', 'open_2side'],
#     ['horz_full', 'open_2side'],
#     ['vert_mid', 'open_2side'],
#     ['vert_full', 'open_2side'],
#     ['double_straight', 'open_2side'],
#     ['double_triangle', 'open_2side'],
# ]

# ['one_corner_in_2side', 'opp_corners_in_2side'],
#     ['one_corner_in_2side', 'triangle_2side'],
#     ['triangle_2side', 'double_triangle'],
#     ['horz_mid', 'horz_full'],
#     ['vert_mid', 'vert_full'],
#     ['horz_full', 'double_straight'],

    # ['crumple_1', 'crumple_2', 'crumple_3', 'tsf', 'two_tsf']

eval_type: '500' # '500' 'all' 'best'

headless: True
# random_trgoals: False
# unfold: 0.5
# unfold_start: ['crumple_1', 'crumple_2', 'crumple_3', 'tsf', 'two_tsf']

